tigase.jaxmpp.android.roster

## Class RosterItemsCacheTableMetaData

- java.lang.Object
- - tigase.jaxmpp.android.roster.RosterItemsCacheTableMetaData

- All Implemented Interfaces:
    android.provider.BaseColumns

      public class RosterItemsCacheTableMetaData
      extends Object
      implements android.provider.BaseColumns

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIELD_ACCOUNT`
    `static String` | `FIELD_ASK`
    `static String` | `FIELD_ID`
    `static String` | `FIELD_JID`
    `static String` | `FIELD_NAME`
    `static String` | `FIELD_SUBSCRIPTION`
    `static String` | `FIELD_TIMESTAMP`
    `static String` | `TABLE_NAME`

    - ### Fields inherited from interface android.provider.BaseColumns

      `_COUNT, _ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RosterItemsCacheTableMetaData()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_ACCOUNT

          public static final String FIELD_ACCOUNT

      See Also:
        Constant Field Values

    - #### FIELD_ASK

          public static final String FIELD_ASK

      See Also:
        Constant Field Values

    - #### FIELD_ID

          public static final String FIELD_ID

      See Also:
        Constant Field Values

    - #### FIELD_JID

          public static final String FIELD_JID

      See Also:
        Constant Field Values

    - #### FIELD_NAME

          public static final String FIELD_NAME

      See Also:
        Constant Field Values

    - #### FIELD_SUBSCRIPTION

          public static final String FIELD_SUBSCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_TIMESTAMP

          public static final String FIELD_TIMESTAMP

      See Also:
        Constant Field Values

    - #### TABLE_NAME

          public static final String TABLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RosterItemsCacheTableMetaData

          public RosterItemsCacheTableMetaData()

Copyright © 2006–2016 Tigase. All rights reserved.